import { ExtractPropTypes, PropType } from 'vue';
import { SizeType, ThemeType } from '../common';
export declare type ButtonProps = ExtractPropTypes<typeof BUTTON_PROPS>;
export declare const BUTTON_PROPS: {
    /**
     * 主题分类
     */
    theme: {
        type: PropType<ThemeType>;
        default: string;
    };
    /**
     * 按钮大小
     */
    size: {
        type: PropType<SizeType>;
        default: string;
    };
    /**
     * 是否禁用
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 图标
     */
    icon: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * 是否为块级元素
     */
    block: BooleanConstructor;
    /**
     * 填充模式
     */
    fill: {
        type: PropType<"none" | "solid" | "outline">;
        default: string;
    };
    /**
     * 按钮形状
     */
    shape: {
        type: PropType<"default" | "rounded" | "rectangular">;
        default: string;
    };
    /**
     * 是否显示 loading 效果
     */
    loading: BooleanConstructor;
    /**
     * 链接模式
     */
    link: BooleanConstructor;
};
