import { ExtractPropTypes, PropType } from 'vue';
import { DirectionType, HorizontalAlignType } from '../common';
export declare type CellProps = ExtractPropTypes<typeof CELL_PROPS>;
export declare const CELL_PROPS: {
    title: StringConstructor;
    titleClass: StringConstructor;
    titleWidth: (StringConstructor | NumberConstructor)[];
    titleAlign: {
        type: PropType<HorizontalAlignType>;
        default: string;
    };
    hideTitle: BooleanConstructor;
    required: BooleanConstructor;
    leftIcon: StringConstructor;
    leftIconSize: PropType<string>;
    leftIconColor: StringConstructor;
    leftIconProps: ObjectConstructor;
    content: PropType<string | undefined>;
    contentClass: StringConstructor;
    contentAlign: PropType<HorizontalAlignType>;
    disabled: BooleanConstructor;
    suffix: StringConstructor;
    description: StringConstructor;
    rightIcon: StringConstructor;
    rightIconSize: PropType<string>;
    rightIconColor: StringConstructor;
    rightIconProps: ObjectConstructor;
    arrow: BooleanConstructor;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
    layout: PropType<DirectionType | undefined>;
};
