import { ExtractPropTypes, PropType } from 'vue';
import { DataType, DirectionType } from '../common';
export declare type CheckboxGroupProps = ExtractPropTypes<typeof CHECKBOX_GROUP_PROPS>;
export declare const CHECKBOX_GROUP_PROPS: {
    modelValue: {
        type: PropType<(string | number)[]>;
        required: boolean;
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    options: {
        type: PropType<DataType[] | undefined>;
        default: undefined;
    };
    /**
     * 最大选择个数
     */
    max: NumberConstructor;
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
