import { DatePickerType, FormatterType } from './props';
import { DateTimePickerColumnType } from './types';
declare class DateUtil {
    date: Date;
    freezeDate: Date;
    dateType: DatePickerType;
    formatter: FormatterType;
    constructor(date: string | Date | undefined, options: {
        dateType: DateUtil['dateType'];
        formatter: DateUtil['formatter'];
    });
    formatType: Record<DatePickerType, string>;
    /**
     * 处理传入的 value 为 picker 需要的格式
     */
    formattedValue: () => string[];
    /**
     * 格式化
     * @param date
     */
    formatValue: (date?: Date) => string;
    updateDate: (date: Date | string[]) => void;
    getColumns: () => DateTimePickerColumnType[][];
    getYearColumn: () => DateTimePickerColumnType[];
    getMonthColumn: () => DateTimePickerColumnType[];
    getDayColumn: () => DateTimePickerColumnType[];
    getHourColumn: ({ min, max }?: {
        min?: number | undefined;
        max?: number | undefined;
    }) => DateTimePickerColumnType[];
    getMinute: () => DateTimePickerColumnType[];
    getSecond: () => DateTimePickerColumnType[];
}
export default DateUtil;
