import { ExtractPropTypes, PropType } from 'vue';
import { DateTimePickerColumnType } from './types';
export declare type DatePickerType = 'date' | 'year-month' | 'month-day' | 'time' | 'datetime' | 'date-hour';
export declare type DatePickerValueType = string | Date;
export declare type FormatterType<V extends string | number = string> = (type: DateTimePickerColumnType['type'], value: V) => V;
export declare type DatePickerProps = ExtractPropTypes<typeof DATE_PICKER_PROPS>;
export declare const DATE_PICKER_PROPS: {
    value: {
        type: PropType<DatePickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: PropType<DatePickerValueType>;
        default: undefined;
    };
    /**
     * 显示隐藏
     */
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 支持设置一个顶部标题
     */
    title: StringConstructor;
    /**
     * 日期格式
     */
    type: {
        type: PropType<DatePickerType>;
        default: string;
    };
    /**
     * 每列格式化函数
     */
    formatter: {
        type: PropType<FormatterType<string>>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
