import { ExtractPropTypes, PropType } from 'vue';
import { IFormModelItem } from './types';
import type { FormStore } from './store';
import { DirectionType } from '../common';
export declare type FormProps = ExtractPropTypes<typeof FORM_PROPS>;
export declare const FORM_PROPS: {
    store: {
        type: PropType<FormStore>;
        required: boolean;
    };
    labelWidth: {
        type: PropType<string | number>;
        default: number;
    };
    layout: PropType<DirectionType>;
    colon: BooleanConstructor;
    requiredMarkPosition: {
        type: PropType<"left" | "right">;
        default: string;
    };
    hideLabel: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
export declare const FORM_ITEM_PROPS: {
    modelItem: {
        type: PropType<IFormModelItem<unknown, Record<string, any>>>;
        required: boolean;
        default: () => {};
    };
    errorMessage: StringConstructor;
    store: {
        type: PropType<FormStore>;
        required: boolean;
    };
    labelWidth: {
        type: PropType<string | number>;
        default: number;
    };
    layout: PropType<DirectionType>;
    colon: BooleanConstructor;
    requiredMarkPosition: {
        type: PropType<"left" | "right">;
        default: string;
    };
    hideLabel: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
