import { ComponentNames } from '../index';
import { Component } from 'vue';
/**
 * 表单数据模型
 */
export declare type FormModel = Array<IFormModelItem>;
/**
 * 表单单个分组信息
 */
export declare type FormGroupItem = {
    id: string;
    title: string;
    hide?: boolean;
};
/**
 * 表单分组信息
 */
export declare type FormGroups = Array<FormGroupItem>;
export interface IFormModelItem<TValue = unknown, TProps = Record<string, any>> {
    name: string;
    label: string;
    value: TValue;
    component: ComponentNames | string | Component;
    required?: boolean;
    labelWidth?: string | number;
    hideLabel?: boolean;
    rules?: string;
    errorMessage?: string;
    hide?: boolean;
    groupId?: string;
    description?: string;
    otherProps?: TProps;
}
export declare type OnFormChange = (value: Record<string, unknown>, model: IFormModelItem) => void;
