import { SetupContext, WritableComputedRef } from 'vue';
import { EmitsOptions } from '@vue/runtime-core';
declare type Props<P, V> = P & {
    modelValue?: V;
} & {
    value?: V;
};
declare type UseDefaultReturnType<V> = [WritableComputedRef<V>, (value: V) => void];
declare function useModelValue<V, P, E = EmitsOptions>(props: Props<P, V>, emit: SetupContext<E>['emit']): UseDefaultReturnType<V>;
declare function useModelValue<V, P, VK extends string, E = EmitsOptions>(props: Props<P, V> & Record<VK, V>, emit: SetupContext<E>['emit'], valueKey: VK, eventName: `update:${VK}`): UseDefaultReturnType<V>;
export default useModelValue;
