import { ExtractPropTypes, PropType } from 'vue';
export declare type ImageProps = ExtractPropTypes<typeof IMAGE_PROPS>;
export declare const IMAGE_PROPS: {
    /**
     * 图片宽度，为数字时，单位：px
     */
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    /**
     * 图片高度，为数字时，单位：px
     */
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    /**
     * 图片地址
     */
    src: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 图片错误展示文本，原始属性
     */
    alt: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 填充模式
     */
    fit: {
        type: PropType<import("csstype").ObjectFitProperty | undefined>;
        default: string;
    };
    /**
     * 元素位置
     */
    position: {
        type: PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
        default: string;
    };
    /**
     * 圆角大小，为数字时，单位：px
     */
    radius: (StringConstructor | NumberConstructor)[];
    /**
     * 是否为圆形
     */
    round: BooleanConstructor;
    /**
     * 是否显示加载中状态，外部控制
     */
    showLoading: BooleanConstructor;
    /**
     * 加载中图标，默认：loading-2
     */
    loadingIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 是否显示加载失败，外部控制
     */
    showError: BooleanConstructor;
    /**
     * 加载失败图标
     */
    errorIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 加载失败文案
     */
    errorText: {
        type: StringConstructor;
        default: string;
    };
};
