import { ExtractPropTypes, PropType } from 'vue';
import { FieldFormatterTrigger, HorizontalAlignType } from '../common';
export declare type InputProps = ExtractPropTypes<typeof INPUT_PROPS>;
export declare const INPUT_PROPS: {
    value: {
        type: PropType<string | number | undefined>;
        default: undefined;
    };
    modelValue: {
        type: PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    labelClass: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: StringConstructor;
        default: string;
    };
    labelAlign: {
        type: PropType<HorizontalAlignType>;
        default: string;
    };
    hideLabel: BooleanConstructor;
    leftIcon: {
        type: StringConstructor;
        default: string;
    };
    leftIconSize: {
        type: PropType<string>;
        default: string;
    };
    leftIconColor: {
        type: StringConstructor;
        default: string;
    };
    colon: BooleanConstructor;
    required: BooleanConstructor;
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
    autofocus: BooleanConstructor;
    inputAlign: {
        type: PropType<HorizontalAlignType>;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    suffix: {
        type: StringConstructor;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: BooleanConstructor;
    formatter: {
        type: PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: PropType<FieldFormatterTrigger | undefined>;
        default: string;
    };
};
