import { PickerColumnType } from './props';
import { DataType } from '../common';
declare type PickerType = {
    el: HTMLElement | null;
    options: PickerColumnType[];
    itemHeight: number;
    onChange?: (data: DataType) => void;
};
declare class Picker {
    el: PickerType['el'];
    options: PickerType['options'];
    itemHeight: number;
    /** 最大允许偏移距离 */
    maxTranslateY: number;
    /** 滚动容器选区信息 */
    clientRect: DOMRect | undefined;
    startPageY: number;
    initTranslateY: number;
    onChange: PickerType['onChange'] | null;
    constructor({ el, options, itemHeight, onChange }: PickerType);
    /**
     * 初始化选择器
     */
    private initial;
    private touchStartHandler;
    private touchMoveHandler;
    private touchEndHandler;
    private calcCurrentIndex;
    private getTranslateY;
    private translate;
    private findNextItemByIndex;
    update({ options }: Pick<PickerType, 'options'>): void;
}
export default Picker;
