import { ExtractPropTypes, PropType } from 'vue';
import { DataType } from '../common';
export declare type PickerValueType = string[] | number[] | DataType[];
/** 级联选择数据类型 */
export declare type CascadeDataType = DataType & {
    children?: DataType[];
};
/** 选择器每列数据类型 */
export declare type PickerColumnType = DataType | CascadeDataType;
/** 选择器数据类型 */
export declare type PickerColumnsType = PickerColumnType[] | PickerColumnType[][];
export declare type PickerProps = ExtractPropTypes<typeof PICKER_PROPS>;
export declare const PICKER_PROPS: {
    value: {
        type: PropType<PickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: PropType<PickerValueType>;
        default: undefined;
    };
    placeholder: StringConstructor;
    /**
     * 显示隐藏
     */
    visible: BooleanConstructor;
    /**
     * 是否受控
     */
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 选择器列
     */
    columns: {
        type: PropType<PickerColumnsType>;
        default: () => never[];
    };
    /**
     * 支持设置一个顶部标题
     */
    title: StringConstructor;
    /**
     * 关闭按钮文字
     */
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 确认按钮文字
     */
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 选项单个高度
     */
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
