import { CSSProperties, ExtractPropTypes, PropType } from 'vue';
import { PlacementType } from '../common';
export declare type PopupProps = ExtractPropTypes<typeof POPUP_PROPS>;
export declare const POPUP_PROPS: {
    visible: BooleanConstructor;
    title: StringConstructor;
    placement: {
        type: PropType<PlacementType>;
        default: string;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: PropType<string | number | undefined>;
        default: number;
    };
    round: BooleanConstructor;
    closeable: BooleanConstructor;
    closeIcon: {
        type: StringConstructor;
        default: string;
    };
    teleport: {
        type: PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
    popupClass: StringConstructor;
    popupStyle: {
        type: PropType<CSSProperties>;
        default: {};
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlayClass: StringConstructor;
    overlayStyle: {
        type: PropType<CSSProperties>;
        default: {};
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
};
