import { ExtractPropTypes, PropType } from 'vue';
import { DirectionType } from '../common';
export declare type SpaceJustifyType = 'start' | 'center' | 'end' | 'between' | 'around' | 'evenly';
export declare type SpaceAlignType = 'start' | 'center' | 'end' | 'baseline';
export declare type SpaceProps = ExtractPropTypes<typeof SPACE_PROPS>;
export declare const SPACE_PROPS: {
    /**
     * 间隙，单位：px
     */
    gap: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 排列方式，水平、垂直
     */
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    /**
     * 水平排列对齐方式
     */
    justify: {
        type: PropType<SpaceJustifyType>;
        default: undefined;
    };
    /**
     * 垂直排列对齐方式
     */
    align: {
        type: PropType<SpaceAlignType>;
        default: undefined;
    };
    /**
     * 是否自动换行，水平时生效
     */
    wrap: {
        type: BooleanConstructor;
        default: boolean;
    };
};
