/**
 * @author: Xuanmo
 * @created: 2022-05-08
 * @description: CSS BEM 工具方法
 */
export declare type Modifier = string | {
    [key: string]: unknown;
};
export declare type Modifiers = Modifier | Modifier[];
/**
 * 生成 BEM 修饰符
 * @param name
 * @param modifier
 */
export declare function generateModifier(name: Modifier, modifier?: Modifiers): string;
/**
 * 生成 BEM
 * @param name 前缀
 */
export declare function createBEM(name: string): (el?: Modifiers | null, modifier?: Modifiers, onlyModifier?: boolean) => string;
/**
 * 创建组件命名空间
 * @param name
 */
export declare function createNamespace(name: string): readonly [string, (el?: Modifiers | null | undefined, modifier?: Modifiers | undefined, onlyModifier?: boolean | undefined) => string];
